gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Ornaments.VSeparator

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A vertical separator

Synopsis

- data VSeparator
- class SeparatorClass o => VSeparatorClass o
- castToVSeparator :: GObjectClass obj => obj -> VSeparator
- gTypeVSeparator :: GType
- toVSeparator :: VSeparatorClass o => o -> VSeparator
- vSeparatorNew :: IO VSeparator

# Detail

The `VSeparator` widget is a vertical separator, used to group the widgets within a window. It displays a vertical line with a shadow to make it appear sunken into the interface.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Separator
     | +----VSeparator

# Types

data VSeparator

Instances

Eq VSeparator |
Ord VSeparator |
GObjectClass VSeparator |
VSeparatorClass VSeparator |
SeparatorClass VSeparator |
WidgetClass VSeparator |
ObjectClass VSeparator |

class SeparatorClass o => VSeparatorClass o

Instances

VSeparatorClass VSeparator |

castToVSeparator :: GObjectClass obj => obj -> VSeparator

gTypeVSeparator :: GType

toVSeparator :: VSeparatorClass o => o -> VSeparator

# Constructors

vSeparatorNew :: IO VSeparator

Creates a new `VSeparator`.